/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "tileclipboard.hpp"

namespace jasper::world {

TileClipboard::TileClipboard(ox::UUID const &assetId, ox::Size selSz) noexcept:
	m_assetId(assetId), m_selSz(selSz) {
}

ox::Size TileClipboard::selectionSize() const noexcept {
	return m_selSz;
}

void TileClipboard::addTile(ModifyTilesCommand::Mod const &mod) noexcept {
	m_tileMods.emplace_back(mod);
}

ox::SpanView<ModifyTilesCommand::Mod> TileClipboard::tiles() const noexcept {
	return m_tileMods;
}

}
